<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['net.ihe.gazelle.hpd.LDAPPartitionsManagement']}</h1>
                <h:panelGroup rendered="#{ldapPartitionManager.displayList}">
                    <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
                        <ui:param name="panel_id" value="allPartitionsPanel"/>
                        <ui:define name="panel_title">
                            <h:outputText value="#{messages['net.ihe.gazelle.hpd.LDAPPartitions']}"/>
                        </ui:define>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.hpd.CreateANewPartition']}"
                                           actionListener="#{ldapPartitionManager.createNewPartition()}"
                                           render="globalDiv" styleClass="gzl-btn-green"/>
                        <br/>
                        <br/>
                        <s:decorate template="/common/ldappartition/partitionDatatable.xhtml"
                                    rendered="#{not empty ldapPartitionManager.availablePartitions}">
                            <ui:param name="partitions" value="#{ldapPartitionManager.availablePartitions}"/>
                            <ui:define name="additional_columns">
                                <g:column sortBy="#{partition.creationDate}">
                                    <ui:define name="header">#{messages['net.ihe.gazelle.hpd.CreationDate']}</ui:define>
                                    <g:date value="#{partition.creationDate}" time="false"/>
                                    <h:outputText value=" (#{partition.creator})"/>
                                </g:column>

                                <g:column>
                                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                                    <div class="gzl-never-wrap">
                                        <a4j:commandLink event="click"
                                                         title="#{messages['net.ihe.gazelle.hpd.EditPartition']}"
                                                         render=" :globalDiv" execute="@this"
                                                         actionListener="#{ldapPartitionManager.editPartition(partition)}">
                                            <span class="gzl-icon-pencil"/>
                                        </a4j:commandLink>
                                        <a4j:commandLink event="click"
                                                         title="#{messages['net.ihe.gazelle.hpd.DuplicatePartition']}"
                                                         render=" :globalDiv" execute="@this"
                                                         actionListener="#{ldapPartitionManager.copyPartition(partition)}">
                                            <span class="gzl-icon-files-o"/>
                                        </a4j:commandLink>
                                        <a4j:commandLink event="click"
                                                         title="#{messages['net.ihe.gazelle.hpd.DeletePartition']}"
                                                         render=" :globalDiv, :delete_partitionModalPanelForm"
                                                         execute="@this"
                                                         actionListener="#{ldapPartitionManager.setSelectedPartition(partition)}"
                                                         rendered="#{not partition.isDefault}"
                                                         oncomplete="jq162('#delete_partition').modal('show');">
                                            <span class="gzl-icon-trash-o"/>
                                        </a4j:commandLink>
                                    </div>
                                </g:column>
                            </ui:define>
                        </s:decorate>
                        <h:outputText value="#{messages['net.ihe.gazelle.hpd.NoLDAPPartitionHasBeenDefinedYet']}"
                                      rendered="#{empty ldapPartitionManager.availablePartitions}"/>
                    </ui:decorate>
                </h:panelGroup>
                <s:div id="editPartitionDiv"
                       rendered="#{ldapPartitionManager.editPartition and ldapPartitionManager.selectedPartition != null}">
                    <ui:include src="/common/ldappartition/editPartition.xhtml">
                        <ui:param name="partition" value="#{ldapPartitionManager.selectedPartition}"/>
                        <ui:param name="availableNodes" value="#{ldapPartitionManager.getAvailableNodes()}"/>
                    </ui:include>
                </s:div>
            </s:div>
        </h:form>
        <h:form id="delete_partitionModalPanelForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="delete_partition"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.hpd.ConfirmDeletion']}</ui:define>
                <p>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.hpd.YouAreAboutToDeleteTheLDAPPartitionWithName']} #{ldapPartitionManager.selectedPartition.name}, #{messages['net.ihe.gazelle.hpd.AreYouSure']}"/>
                </p>
                <ui:define name="popup_footer">
                    <a4j:commandButton value="#{messages['users.Cancel']}"
                                       actionListener="#{ldapPartitionManager.setSelectedPartition(null)}"
                                       execute="@this"
                                       onclick="jq162('#delete_partition').modal('hide');"
                                       styleClass="gzl-btn"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.hpd.Confirm']}"
                                       actionListener="#{ldapPartitionManager.deletePartition()}"
                                       render="partitionTable" execute="@this" ignoreDupResponses="true"
                                       onclick="jq162('#delete_partition').modal('hide');"
                                       styleClass="gzl-btn-red"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
